aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2023-02-23 20:06:14 -0300
committerSebastian <sebasjm@gmail.com>2023-02-23 20:06:14 -0300
commit4b9c65a22e72717df285250edad7a7374b58faac (patch)
tree12f9a8fd805223aa5f83e54ace0c8f25a48fed05
parent538a1b97b296267eb77f8d10faf96852b7fa62b4 (diff)
downloadwallet-core-4b9c65a22e72717df285250edad7a7374b58faac.tar.xz
copy file script
-rwxr-xr-xcopy-backend-into-rebuilt.sh8
-rwxr-xr-xcopy-backoffice-into-prebuilt.sh3
2 files changed, 11 insertions, 0 deletions
diff --git a/copy-backend-into-rebuilt.sh b/copy-backend-into-rebuilt.sh
new file mode 100755
index 000000000..b9fa2a68e
--- /dev/null
+++ b/copy-backend-into-rebuilt.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+
+for file in depleted_tip.en.html offer_refund.en.html offer_tip.en.html request_payment.en.html show_order_details.en.html; do
+ cp packages/merchant-backend-ui/dist/pages/$file prebuilt/backend/
+done
+
diff --git a/copy-backoffice-into-prebuilt.sh b/copy-backoffice-into-prebuilt.sh
index 5f59882e0..8f3df209d 100755
--- a/copy-backoffice-into-prebuilt.sh
+++ b/copy-backoffice-into-prebuilt.sh
@@ -1,3 +1,6 @@
#!/bin/bash
+
+[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+
cp packages/merchant-backoffice-ui/dist/{index,lang*,material*,XRXV*}.* prebuilt/backoffice/